package m05bBD;

/**
 * This class holds information about an order,
 * which is stored in the database table <tt>m0545t00_sanciones</tt>.
 * The table <tt>m0545t00_sanciones</tt> is defined in the database as follows:
 * <pre>
CREATE TABLE M0545T00 (
  COD_SANCION_45		NUMBER (6)    NOT NULL,
  TIPO_45			VARCHAR2 (10),
  COD_ORG_45      	VARCHAR2 (10),
  DNI_45        	VARCHAR2 (15),
  FNOTIF_COND_45   	VARCHAR2 (15),
  DESC_ORG_45      	VARCHAR2 (50),
  FRECEPC_45      	VARCHAR2 (50),
  FDENUNCIA_45     	VARCHAR2 (50),
  MATRIC_45         VARCHAR2 (20),
  FREC_DATOS_45    	VARCHAR2 (30),
  MATRIC_45         VARCHAR2 (20),
  NEXP_DENUNCIA_45  VARCHAR2 (20),
  FSANCION_45    	VARCHAR2 (20),
  NEXP_SANCION_45   VARCHAR2 (20),
  FNOTIF_DPTO_45   	VARCHAR2 (20),
  PRIMARY KEY ( COD_SANCION_45 ));
 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */

public class m05bSanciones implements java.io.Serializable{




  private String san_codigo    				= "";
  private String san_tipo        			= "";
  private String san_codorg				    = "";
  private String san_dni      			    = "";
  private String san_fnotcon        		= "";
  private String san_descorg				= "";
  private String san_descripcioncorg		= "";
  private String san_edescripcioncorg		= "";
  private String san_frecep 				= "";
  private String san_fdenuncia              = "";
  private String san_matricula              = "";
  private String san_frecdatos              = "";
  private String san_nexdenuncia            = "";
  private String san_fsancion               = "";
  private String san_nexsancion             = "";
  private String san_fnotdatos              = "";
  private String san_fresolucion            = "";
  private String san_fapremio               = "";
  

    public String toString(){
    String s = "";
    s += "[Codigo Sancion = " + san_codigo + "]";
    s += "[Tipo = " + san_tipo + "]";
    s += "[Codigo Org = " + san_codorg + "]";
    s += "[Dni = " + san_dni + "]";
    s += "[Fecha Not Con = " + san_fnotcon + "]";
    s += "[Desc Org = " + san_descorg + "]";
    s += "[Fecha Recepcion = " + san_frecep + "]";
    s += "[Desc Org = " + san_fdenuncia + "]";
    s += "[Fecha Recepcion = " + san_matricula + "]";
    s += "[Desc Org = " + san_frecdatos + "]";
    s += "[Desc Org = " + san_nexdenuncia + "]";
    s += "[Desc Org = " + san_fsancion + "]";
    s += "[Desc Org = " + san_nexsancion + "]";
    s += "[Desc Org = " + san_fnotdatos + "]";
    s += "[Fecha Resolucion = " + san_fresolucion + "]";
    s += "[Fecha Apremio = " + san_fapremio + "]";
    

    return s;
  }

  public String getSan_nexsancion(){return san_nexsancion;}
  public void setSan_nexsancion(String n){san_nexsancion = n;}

  public String getSan_fnotdatos(){return san_fnotdatos;}
  public void setSan_fnotdatos(String n){san_fnotdatos = n;}

  public String getSan_frecdatos(){return san_frecdatos;}
  public void setSan_frecdatos(String n){san_frecdatos = n;}

  public String getSan_nexdenuncia(){return san_nexdenuncia;}
  public void setSan_nexdenuncia(String n){san_nexdenuncia = n;}

  public String getSan_fsancion(){return san_fsancion;}
  public void setSan_fsancion(String n){san_fsancion = n;}

  public String getSan_frecep(){return san_frecep;}
  public void setSan_frecep(String n){san_frecep = n;}

  public String getSan_fdenuncia(){return san_fdenuncia;}
  public void setSan_fdenuncia(String n){san_fdenuncia = n;}

  public String getSan_matricula(){return san_matricula;}
  public void setSan_matricula(String n){san_matricula = n;}

  public String getSan_codigo(){return san_codigo;}
  public void setSan_codigo(String n){san_codigo = n;}

  public String getSan_tipo(){return san_tipo;}
  public void setSan_tipo(String n){san_tipo = n;}

  public String getSan_codorg(){return san_codorg;}
  public void setSan_codorg(String n){san_codorg = n;}

  public String getSan_dni(){return san_dni;}
  public void setSan_dni(String n){san_dni = n;}


  public String getSan_fnotcon(){return san_fnotcon;}
  public void setSan_fnotcon(String n){san_fnotcon = n;}

  public String getSan_descorg(){return san_descorg;}
  public void setSan_descorg(String n){san_descorg = n;}

  public String getSan_fresolucion(){return san_fresolucion;}
  public void setSan_fresolucion(String n){san_fresolucion = n;}

  public String getSan_fapremio(){return san_fapremio;}
  public void setSan_fapremio(String n){san_fapremio = n;}

/**
 * @return Returns the san_descripcioncorg.
 */
public String getSan_descripcioncorg() {
	return san_descripcioncorg;
}
/**
 * @param san_descripcioncorg The san_descripcioncorg to set.
 */
public void setSan_descripcioncorg(String san_descripcioncorg) {
	this.san_descripcioncorg = san_descripcioncorg;
}
/**
 * @return Returns the san_edescripcioncorg.
 */
public String getSan_edescripcioncorg() {
	return san_edescripcioncorg;
}
/**
 * @param san_edescripcioncorg The san_edescripcioncorg to set.
 */
public void setSan_edescripcioncorg(String san_edescripcioncorg) {
	this.san_edescripcioncorg = san_edescripcioncorg;
}
 }
